## org.eclipse.jetty.webapp.jmx
Class WebAppContextMBean

    java.lang.Object
      org.eclipse.jetty.jmx.ObjectMBean
          org.eclipse.jetty.server.handler.jmx.ContextHandlerMBean
              org.eclipse.jetty.webapp.jmx.WebAppContextMBean

All Implemented Interfaces:
  DynamicMBean

    public class WebAppContextMBean

extends ContextHandlerMBean

Field Summary

Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean
`_managed`

Constructor Summary
`WebAppContextMBean(Object managedObject)`

Method Summary
`String` `getObjectNameBasis()`

Methods inherited from class org.eclipse.jetty.server.handler.jmx.ContextHandlerMBean
`getContextAttributes, removeContextAttribute, setContextAttribute, setContextAttribute`

Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean
`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppContextMBean

    public WebAppContextMBean(Object managedObject)

Method Detail

### getObjectNameBasis

    public String getObjectNameBasis()

  Overrides:
    `getObjectNameBasis` in class `ContextHandlerMBean`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.